/**
 * Freqtrade API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 2021.12-dev21
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */

import ApiClient from '../ApiClient';
import LockModel from './LockModel';

/**
 * The Locks model module.
 * @module model/Locks
 * @version 2021.12-dev21
 */
class Locks {
    /**
     * Constructs a new <code>Locks</code>.
     * @alias module:model/Locks
     * @param lockCount {Number} 
     * @param locks {Array.<module:model/LockModel>} 
     */
    constructor(lockCount, locks) { 
        
        Locks.initialize(this, lockCount, locks);
    }

    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj, lockCount, locks) { 
        obj['lock_count'] = lockCount;
        obj['locks'] = locks;
    }

    /**
     * Constructs a <code>Locks</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/Locks} obj Optional instance to populate.
     * @return {module:model/Locks} The populated <code>Locks</code> instance.
     */
    static constructFromObject(data, obj) {
        if (data) {
            obj = obj || new Locks();

            if (data.hasOwnProperty('lock_count')) {
                obj['lock_count'] = ApiClient.convertToType(data['lock_count'], 'Number');
            }
            if (data.hasOwnProperty('locks')) {
                obj['locks'] = ApiClient.convertToType(data['locks'], [LockModel]);
            }
        }
        return obj;
    }


}

/**
 * @member {Number} lock_count
 */
Locks.prototype['lock_count'] = undefined;

/**
 * @member {Array.<module:model/LockModel>} locks
 */
Locks.prototype['locks'] = undefined;






export default Locks;

